:root{
    --dl-blue: rgb(0,4,53);

    --max-width: 1200px;

    --title-text-size: 24px;

    --standard-font-family: 'Poppins';
    --standard-font-size: 18px;
    --standard-font-weight: 400;
    --title-font-family: 'Old Standard TT';
    --title-font-size: 38px;
    --title-font-weight: 700;
}  

body{
    background-color: rgb(255,255,255);

    font-family: var(--standard-font-family);
    font-size: var(--standard-font-size);
    font-weight: var(--standard-font-weight);
}

.bg-container{
  background-image: url("images/background.webp");
}

.page-body{
  max-width: var(--max-width);
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-block: 80px;
    margin-inline: auto;
    gap: 8px;
}

.page-hero{
  position: relative;
  top: 0;
}
.page-hero{
  width: 100%;
  max-height: 400px;
  object-fit: cover;
}



.shadow-box{
  padding: 16px;
  width: 387px;
  /* height: 200px; */
  box-shadow: rgba(0,0,0,.25) 0 3px 11px 0!important;
  color: rgb(148, 148, 148);
}

.dl-button{
  background-color: var(--dl-blue);
  padding: 12px;
  border-radius: 8px;
  text-decoration: none;
  color: white;
  text-align: center;
  display: inline-block;
  text-wrap: nowrap;

}

/* #region utility */
.title-text{
    font-family: var(--title-font-family);
    font-size: var(--title-font-size);
    font-weight: var(--title-font-weight);
    color: var(--dl-blue);
    line-height: normal;
    text-decoration: none;
    margin-bottom: clamp(20px, 6vw, 60px);
}
.font-size-32{
  font-size: 32px;
}
.font-size-30{
  font-size: 30px;
}
.font-size-28{
  font-size: 28px;
}
.font-size-24{
  font-size: 24px !important;
}
.font-size-23{
  font-size: 23px !important;
}
.font-size-18{
  font-size: 18px;
}
.font-size-16{
  font-size: 16px !important;
}
.font-size-15{
  font-size: 15px;
}
.text-align-left{
  text-align: left;
}
.text-muted{
  color: c0c0c0;
}

.title-text-splitter{
    font-family: var(--title-font-family);
    font-size: var(--title-font-size);
    font-weight: var(--title-font-weight);
    color: var(--dl-blue);
    font-size: 32px;
    margin-block: 60px;
}

.subtitle{
    font-size: 32px;
    margin-block: unset;
}

.h-100{
  height: 100%;
}

.w-33p{
  max-width: 33%;
}

.vertical-spacer{
    display: flex;
    min-height: 90px;
}

hr{
  border: 1px solid var(--dl-blue);
}

/* #endregion */










/* #region Header */
.header-wrapper{
    position: fixed;
    top: 0;
    width: 100%;
    height: 5em;
    background-color: var(--dl-blue);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 3;
}
.header{
    width: var(--max-width);
    display: flex;
    /* justify-content: space-between; */
    align-items: center;
}

.header .nav-container{
    min-width: 300px;
}

.header .contact-container{
    font-weight: 700;
    font-size: 22px;    
}
.header .contact-container svg{
    margin-right: 12px;
}

/* #endregion Header */





/* #region nav-container desktop */

@media only screen and (min-width: 1151px) {
.h-menu{
  display: none;
}
  #myInput{
    display: none;
  }

.dropdown__title {
    background-color: transparent;
    border: none;
    font-family: inherit;
    text-wrap: nowrap;
  }
  
  nav {
    background-color: var(--dl-blue);
    padding: 0 0rem;
    position: sticky;
    top: 0;
    place-items: center;
  }
  nav > ul {
    display: flex !important;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    
  }

  nav > ul > li {
    margin: 0 0.5rem;
  }
  nav > ul > li a,
  nav > ul > li .dropdown__title {
    text-decoration: none;
    text-align: center;
    display: inline-block;
    color: #fff;
    font-size: .9rem;
  }
  nav > ul > li a:focus,
  nav > ul > li .dropdown__title:focus {
    outline: none;
  }
  nav > ul > li > a,
  nav > ul > li .dropdown__title {
    padding: .3rem 0.5rem;
    border-top: 3px solid transparent;
    transition: 280ms all 120ms ease-out;
  }
  nav > ul > li > a:hover, nav > ul > li > a:focus,
  nav > ul > li .dropdown__title:hover,
  nav > ul > li .dropdown__title:focus {
    border-top-color: white;
    color: white;
  }
  nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: grid;
  }
  nav ul li {
    padding: 0;
  }
  
  .dropdown {
    position: relative;
  }
  .dropdown .dropdown__title {
    display: inline-flex;
    align-items: center;
  }
  .dropdown .dropdown__title:after {
    content: "";
    border: 0.35rem solid transparent;
    border-top-color: rgba(255, 255, 255, 0.45);
    margin-left: 0.25em;
    transform: translateY(0.15em);
  }
  .dropdown .dropdown__menu {
    position: absolute;
    min-width: 15ch;
    left: 50%;
    top: calc(100% - 0.25rem);
    transition: 280ms all 120ms ease-out;
    transform: rotateX(-90deg) translateX(-50%);
    transform-origin: top center;
    visibility: hidden;
    opacity: 0.3;
    
    padding: 0.3em 0;
    background-color: #fff;
    border-radius: 4px;
    box-shadow: 0 0.15em 0.25em rgba(0, 0, 0, 0.25);
  }
  .dropdown .dropdown__menu a {
    color: #47246b;
    display: block;
    padding: 0.5em;
    opacity: 0;
    transition: 280ms all 120ms ease-out;
  }
  .dropdown .dropdown__menu a:hover {
    background-color: rgba(102, 51, 153, 0.15);
  }
  .dropdown .dropdown__menu a:focus {
    outline: none;
    background-color: rgba(102, 51, 153, .25);
  }
  .dropdown:after {
    content: "";
    border: 0.5rem solid transparent;
    border-bottom-color: #fff;
    position: absolute;
    top: calc(100% - 1.25rem);
    left: 50%;
    transform: translateX(-50%);
    transition: 280ms all 120ms ease-out;
    opacity: 0;
    will-change: opacity;
  }
  .dropdown:hover .dropdown__title, .dropdown:focus-within .dropdown__title {
    border-top-color: white;
  }
  .dropdown:hover .dropdown__menu, .dropdown:focus-within .dropdown__menu {
    
    opacity: 1;
    transform: rotateX(0) translateX(-50%);
    visibility: visible;
  }
  .dropdown:hover .dropdown__menu a, .dropdown:focus-within .dropdown__menu a {
    opacity: 1;
  }
  .dropdown:hover , .dropdown:focus-within  {
    z-index: 1;
  }
  .dropdown:hover:after, .dropdown:focus-within:after {
    opacity: 1;
  }

}
/* #endregion */

/* #region nav container mobile */

  @media only screen and (max-width: 1150px) {

    .contact-container{
      display: none;
    }
    .nav-container{
      display: contents;
    }
    .header-logo-container{
      display: flex;
      width: unset;
      align-items: center;
    }

    .h-menu{
      /* position: absolute; */
      display: grid;
      align-items: center;
      /* top: 0;
      left: 0; */
      z-index: 2;
      width: 90px;
      height: 90px;
    }

    nav{
      background-color: var(--dl-blue);
      height: 100vh;
      width: 100vw;
      max-width: 100dvw;
      transform: translateX(-100%);
      position: absolute;
      top: 0;
      left: 0;
      padding-top: 90px;
      font-size: 1.3em;
    }

    input[id="myInput"] {
      display: none;
    }
    
    input[id="myInput"]:checked ~ nav {
      transform: translateX(0);
    }
    nav .dropdown li{
      display: none;
    }
 
    nav ul .dropdown__menu{
      display: grid;
      pointer-events: none;
      opacity: 0;
      max-height: 0;
      visibility: hidden;
      transition: max-height 0.3s ease, opacity 0.3s ease, visibility 0s linear 0.01s; /* 0.3s delay on pointer-events */
    }
    
    nav .dropdown__title::after{
      content: '▼'; 
      font-size: .6em;
      padding-inline: 1em;
      color: white;
      display: inline-block;
      transition: transform 0.2s ease;
    }
    nav li.dropdown:hover li{
      display: unset;
    }
    nav .dropdown:focus-within li{
      display: unset;
    }

    nav li.dropdown:hover .dropdown__menu{
      opacity: 1;
      visibility: visible;
      max-height: 10rem;
      pointer-events: auto;
    }
    nav .dropdown:focus-within .dropdown__menu{
      opacity: 1;
      visibility: visible;
      max-height: 5rem;
      pointer-events: auto;
    }

    nav ul {
      list-style: none;
    }
    button{
      display: inline;
      background: transparent;
      border: none;
    }
    nav a{
      color: white;
      text-decoration: none;
    }
  }

  .header label {
    top: 10px;
    display: inline-block;
    padding: 7px 10px;
    background-color: transparent;
    cursor: pointer;
    margin: 10px;
    z-index: 3;
    position: fixed;
  }
  
  .bar {
    display: block;
    background-color: white;
    width: 30px;
    height: 3px;
    border-radius: 5px;
    margin: 5px auto;
    transition: background-color 0.4s ease-in, transform 0.4s ease-in,
      width 0.4s ease-in;
  }

/* #endregion */








/*  #region hero image */


section {
    width: 100%;
    height: min(800px, 40vh);
    background: #ccc;
    margin: 0;
    padding: 0;
  }


  
  .slide-show-container {
    height: 100%;
    width: 100%;
    position: relative;
  }
  /* CSS Styles in common for all slides */
  .wrapper-one,
  .wrapper-two,
  .wrapper-three {
    background-color: #eee;
    background-size: cover;
    background-repeat: no-repeat;
    height: 100%;
    width: 100%;
    position: absolute;
  }

  .wrapper-one::after,
.wrapper-two::after,
.wrapper-three::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.1);
  z-index: 1;
}
  
  /* CSS Styles for each slide */
  /* Just add the image as background attribute and add some animation */
  
  .wrapper-one {
      background-image: url("images/hero1.webp");
  }
  
  .wrapper-two {
      background-image: url("images/hero2.webp");
    animation: slideTwoAnim 20s infinite;
  }
  
  .wrapper-three {
      background-image: url("images/hero3.webp");
    animation: slideThreeAnim 20s infinite;
  }
  
  /* Styles for the text */
  .wrapper-text {
    font-size: 65px;
    font-family: "Pinyon Script", cursive;
    font-weight: 400;
    color: white;
    font-style: normal;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    height: 100%;
    /* margin-top: 150px; */
    text-shadow: 0 2px 6px rgba(0,0,0,0.7);
    position: relative;
    z-index: 2;
  }

    @media (max-width: 768px) {

  .wrapper-text{
    font-size: 45px;
    justify-content: center;
    text-align: center;
  }
}
  
  /* Animations */
  @keyframes slideTwoAnim {
      0%{opacity:0;}
      17%{opacity:0;}
      33%{opacity:1;}
      50%{opacity:1;}
      67%{opacity:0;}
      100%{opacity:0;}
  }
  
  @keyframes slideThreeAnim {
      0%{opacity:0;}
      50%{opacity:0;}
      67%{opacity:1;}
      83%{opacity:1;}
      100%{opacity:0;}
  }


/* #endregion */








.hero-body{
    max-width: var(--max-width);
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-block: clamp(20px, 6vw, 80px);
    margin-inline: auto;
    gap: 8px;
    /* border-inline: 5px dotted red; */
}

.hero-body > p{
    text-align: center;
    /* margin-inline: clamp(1rem, 10vw, 20%); */
}

.hero-body ul{
    list-style-position: inside;
}

.inside-list{
  list-style-position: inside !important;
}

.sub-list span{
  display: block;
  margin-left: 3em;
}


.arrow-list{
    list-style: none;    
}
.arrow-list a{
  text-decoration: none;
  color: var(--dl-blue);
  font-weight: 700;
}
.arrow-list li::before{
  content: "➞";
    transform: scale(0.8);
    transform-origin: right center;
    margin-right: .5em;
}

.cities-list{
  text-align: left;
  list-style-position: inside;
  display: grid;
  grid-template-columns: auto auto;
}
.text-decoration-none a{
  text-decoration: none;
  color: var(--dl-blue);
  font-weight: 700;
}

.columns{
  display: grid;
  grid-template-columns: auto auto;
  margin-top: 12px;
}
.columns{
  display: grid;
  grid-template-columns: auto auto auto;
  margin-top: 12px;
}
.columns li{
  margin-block: .2rem;
}



/* #region image gallery */
.image-gallery-navigator{
    max-width: var(--max-width);
    border: 4px solid var(--dl-blue);
    background: transparent;
    padding: 8px;
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
    justify-content: center;
    align-items: center;
    margin:auto;
    gap: 8px;
    margin-block: 40px;
}

.image-gallery-navigator .gallery-item{
    max-width: 370px;
    width: auto;
    background-color: white;
    overflow: hidden;
}

.image-gallery-navigator img{
    height: 370px;
}

.gallery-text{
    display: flex;
    flex-direction: column;
    align-items:center;
    justify-content: start;
    margin: 8px;
    height: 167px;
    font-size: 14px;
    color: black;
    margin-bottom: auto;
}

.gallery-text .title{
    font-family: var(--title-font-family);
    color: var(--dl-blue);
    font-size: 30px;
}
/* #endregion image gallery */










/* #region image-stack */


.image-text-stack{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    /* margin: auto; */
    gap: 16px;
}

.image-text-stack img{
    border: 4px solid var(--dl-blue);
    
    width: 100%;
    max-width: 400px;
    height: auto;
    margin-inline: auto;
}
.image-text-stack video{
    border: 4px solid var(--dl-blue);
    
    width: 100%;
    max-width: 400px;
    height: auto;
    margin-inline: auto;
}

.text-stack-wrapper{
    width: 25em;
    margin-inline: auto;
    text-align: left;
    /* padding-inline: 24px; */
}

.image-text-stack .title{
    font-size: var(--title-text-size);
    color: var(--dl-blue);
}


.borderless-image{
  border: none !important;
}

.full-image{
  box-shadow: rgba(0,0,0,0.25) 0 3px 11px 0 !important;
  width: 100% !important;
}

/* #endregion */








/* #region fifties */

.fifty-fifty{
  display: grid;
  grid-template-columns: 50% 50%;
  align-items: center;
}

.thirty-seventy{
  display: grid;
  grid-template-columns: 30% 70%;
  align-items: center;
}

.ff-text{
  text-align: center;
}

.img-div{
  width: 100%;
  aspect-ratio: 1 / 1;
  background-position: 50%;
  background-size: cover;
  overflow: hidden;
  box-shadow: rgba(0,0,0,0.25) 0 3px 11px 0 !important;
}

.team-gallery{
  
  background-color: white;
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  padding: 24px;
  box-shadow: rgba(0,0,0,0.25) 0 3px 11px 0 !important;
  border-block: 4px solid grey;
}
.team-gallery-item{
  display: flex;
  flex-direction: column;
  align-items:start;
  width: 24.4%;
  height: auto;
  overflow: hidden;
}
.gallery-image{
  width: 100%;
  aspect-ratio: 1 / 1;
  border-radius: 10px;
  background-position: 50%;
  background-size: cover;
}
.gallery-image-width{
  /* width: 100%; */
  aspect-ratio: 1 / 1;
  background-position: 50%;
  background-size: cover;
}


.gallery-name{
  font-family: var(--title-font-family);
  color: var(--dl-blue);
  font-weight: 700;
  font-size: 25px;
}
.gallery-subtitle{
  font-family: var(--standard-font-family);
  font-size: 16px;
}

.image-grid-3{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 8px;
}
.image-grid-4{
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 8px;
}

/* #endregion */







/* #region footer */
.footer-wrapper{
    background-color: var(--dl-blue);
    color: white;
    padding-top: 20px;
    padding-bottom: 60px;
}
.page-footer{
    max-width: var(--max-width);
    margin: auto;
    flex-wrap: wrap;
    align-items: start;
    justify-content: center;
    font-size: 16px;
}
.logo{
    margin: auto;
}

.hours div{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.page-footer .hours p{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    
}

.footer-title{
    font-size: 16pt;
}

.copyright{
    font-size: 8pt;
    text-align: center;
}

/* #endregion footer */








/* #region service footer */

.service-footer hr{
    height: 4px;
    background-color: var(--dl-blue);
    opacity: 1;
}

/* #endregion */





.google-review{
  box-shadow: rgba(0,0,0,0.25) 0 3px 11px 0 !important;
  border-top-width: 4px !important;
  border-top-style: solid !important;
  border-top-color: rgba(156,153,153,1) !important;
}



.contact-form{
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.contact-form .form-row{
  display: grid;
  grid-template-columns: auto auto;
  gap: 8px;
}
.contact-form .form-row-single{
  display: grid;
  grid-template-columns: auto;
 
}

.contact-form .form-col{
  display: grid;

  width: 100%;
}

.contact-form label{
  text-align: start;
}

.service-footer{
  max-width: var(--max-width);
  margin: auto;
  justify-content: center;
  margin-block: 48px;
}
.cities-footer{
  columns: 4;
  
}
.cities-footer a{
  font-size: 16px;
  font-weight: 400;
  color: black;
}

.social-hub{
  justify-content: start !important;
  gap: 1em;
  margin-top: 12px;
}
.social-hub a{
  color: white;
}
.social-hub svg{
  height: 1.4em;
  width: auto;
}